That's the message I get when trying to install the 4.0.26. apk for some reason. Repeated dl's haven't fared differently. No previous beta install issues.
Nexus 7 (2013) 4.3.3 rooted